<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="invr">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>invr</refname>
    <refpurpose> inversion d'une matrice rationnelle (ou polynomiale)  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>F = invr(H)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>H  </term>
        <listitem>
          <para>polynôme ou matrice de polynômes
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>F  </term>
        <listitem>
          <para>polynôme ou matrice de polynômes
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Si <literal>H</literal> est une matrice de polynômes ou de fractions rationnelles, <literal>invr</literal>
    calcule <literal>H^(-1)</literal> avec l'algorithme de Leverrier (voir code de la fonction).
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
s=poly(0,'s')
H=[s,s*s+2;1-s,1+s]; invr(H)
[Num,den]=coffg(H);Num/den
H=[1/s,(s+1);1/(s+2),(s+3)/s];invr(H)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="glever">glever</link>
      </member>
      <member>
        <link linkend="coffg">coffg</link>
      </member>
      <member>
        <link linkend="inv">inv</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
